import request from '@/utils/request'

// 查询科研成果-成果详情信息列表
export function listCsAchievementInfoDetails(query) {
  return request({
    url: '/cs/csAchievementInfoDetails/list',
    method: 'get',
    params: query
  })
}

// 查询科研成果-成果详情信息详细
export function getCsAchievementInfoDetails(infoDetailsId) {
  return request({
    url: '/cs/csAchievementInfoDetails/' + infoDetailsId,
    method: 'get'
  })
}

// 查询资源使用情况调研表详情
export function getCsAchievementInfo(infoDetailsId) {
  return request({
    url: '/cs/csResourceOrderApply/getOrderDetail/' + infoDetailsId,
    method: 'get'
  })
}

// 新增科研成果-成果详情信息
export function addCsAchievementInfoDetails(data) {
  return request({
    url: '/cs/csAchievementInfoDetails',
    method: 'post',
    data: data
  })
}

// 修改科研成果-成果详情信息
export function updateCsAchievementInfoDetails(data) {
  return request({
    url: '/cs/csAchievementInfoDetails',
    method: 'put',
    data: data
  })
}

// 修改资源使用情况调研表详情
export function updateCsAchievementInfo(data) {
  return request({
    url: '/cs/csAchievementInfo',
    method: 'put',
    data: data
  })
}
// 修改资源使用情况调研表详情111
export function updateAchievementInfo(data) {
  return request({
    url: '/cs/csAchievementInfo/updateAchievementInfo',
    method: 'post',
    data
  })
}

// 删除科研成果-成果详情信息
export function delCsAchievementInfoDetails(infoDetailsId) {
  return request({
    url: '/cs/csAchievementInfoDetails/' + infoDetailsId,
    method: 'delete'
  })
}

// 查询资源使用情况调研表
export function listCsAchievementInfo(query) {
  return request({
    url: '/cs/csAchievementInfo/list',
    method: 'get',
    params: query
  })
}

// 修改资源使用情况调研表详情
export function editAuditing(data) {
  return request({
    url: '/cs/csAchievementInfoDetails/editAuditing',
    method: 'post',
    data: data
  })
}
